[data-controller="musiccard"] {
  @media screen and (max-width: 1200px) {
    grid-template-columns: 1fr;
    width: 100%;
  }
  display: grid;
  grid-template-columns: 1fr 1fr;
  justify-items: center;
  width: 75%;
  margin: 0 auto;

  .music-content {
    @media screen and (max-width: 500px) {
      width: 320px;
    }
    @media screen and (max-width: 400px) {
      width: 300px;
    }
    margin-top: 3.5rem;
    width: 400px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .music-img {
    @media screen and (max-width: 500px) {
      width: 320px;
      height: 320px;
    }
    @media screen and (max-width: 400px) {
      width: 300px;
      height: 300px;
    }
    object-fit: cover;
    width: 400px;
    height: 400px;
    transition: transform 0.5s ease;
    &:hover {
      transform: scale(1.2);
    }
  }

  .music-name {
    font-family: "Yanonebold";
    font-size: 25px;
    border: 1px solid black;
    width: 10rem;
    margin-bottom: 0;
    margin-top: 1rem;
  }
  .music-price {
    font-family: "Yanonebold";
    font-size: 20px;
    margin-bottom: 0.5rem;
  }

  button {
    font-family: "Yanoneregular";
    width: 6rem;
    text-align: center;
    background: #161616;
    color: white;
    font-size: 25px;
    font-weight: 600;
    border: 2px solid #161616;
    cursor: pointer;
    &:hover {
      background-color: white;
      color: #161616;
    }
  }
}
